Draft Flächenbinder

From FreeCAD Documentation
This page is a translated version of the page Draft Facebinder and the translation is 96% complete.
Outdated translations are marked like this.

Draft Flächenbinder

Menüeintrag
Zeichnen → Flächenverbinder
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
F F
Eingeführt in Version
0.14
Siehe auch
Keiner

Beschreibung

Der Befehl Draft Flächenbinder erstellt ein Oberflächenobjekt aus ausgewählten Flächen. Ein Draft-Flächenbinder ist parametrisch, er wird aktualisiert, wenn seine Quellobjekte geändert werden.

Er kann verwendet werden, um eine Extrusion aus einer Sammlung von Flächen aus anderen Objekten zu erstellen. Diese Extrusion kann zum Beispiel einen Wandabschluss in der architektonischen Gestaltung verkörpern.

Flächenbinder erstellt aus den Wandflächen

Anwendung

  1. Eine oder mehrere Flächen auswählen.
  2. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
    • Die Schaltfläche Flächenverbinder drücken.
    • Den Menüeintrag Zeichnen → Flächenverbinder auswählen.
    • Das Tastaturkürzel F dann F.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Draft-Flächenbinder (Facebinder-Objekt) wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Entwurf

  • Daten-EigenschaftArea (Area): (nur-lesen) Gibt den gesamten Bereich der verbundenen Flächen des Flächenbinders an.
  • Daten-EigenschaftExtrusion (Distance): Gibt die Extrusionsdicke des Flächenbinders an.
  • Daten-EigenschaftFaces (LinkSubList): Gibt die verbundenen Flächen des Flächenbinders an.
  • Daten-EigenschaftOffset (Distance): Gibt eine Abstandsentfernung an, die vor der Extrusion zwischen den ursprünglichen Flächen und dem Flächenbinder bestehen soll.
  • Daten-EigenschaftRemove Splitter (Bool): Gibt an, ob Trennlinien ("splitter lines" ?) entfernt werden sollen, die auf gleicher Ebene liegende Flächen vom Flächenbinder trennen oder nicht.
  • Daten-EigenschaftSew (Bool): Gibt an, ob ein topolischer Nähvorgang am Flächenbinder durchgeführt werden soll oder nicht.

Ansicht

Entwurf

  • Ansicht-EigenschaftMuster: spezifiziert ein Entwurfs Muster, mit dem die Fläche der Form ausgefüllt werden soll. Diese Eigenschaft funktioniert nur, wenn Ansicht-EigenschaftDisplay Mode "Flat Lines" ist.
  • Ansicht-EigenschaftMuster Grösse: gibt die Größe des Muster Grösse an.

Skripten

Siehe auch: Autogenerated API documentation und FreeCAD Skripten Grundlagen.

Um einen Entwurf Flächenbinder zu erstellen, verwende die Methode make_facebinder (introduced in version 0.19) des Entwurfsmoduls. Diese Methode ersetzt die veraltete Methode makeFacebinder.

facebinder = make_facebinder(selectionset)
  • Erstellt ein facebinder Objekt aus dem angegebenen selectionset, das eine Liste von SelectionObjecten ist, wie sie von FreeCADGui.Selection.getSelectionEx() zurückgegeben wird. Es werden nur ausgewählte Flächen berücksichtigt.
    • selectionset kann auch ein PropertyLinkSubList sein.

Eine PropertyLinkSubList ist eine Liste von Tupeln; jedes Tupel enthält als erstes Element ein object, und als zweites Element eine Liste (oder Tupel) von Zeichenketten; diese Zeichenketten zeigen die Namen der Unterelemente (Flächen) dieses Objekts an.

PropertyLinkSubList = [tuple1, tuple2, tuple3, ...]
PropertyLinkSubList = [(object1, list1), (object2, list2), (object3, list3), ...]
PropertyLinkSubList = [(object1, ['Face1', 'Face4', 'Face6']), ...]
PropertyLinkSubList = [(object1, ('Face1', 'Face4', 'Face6')), ...]

Die Dicke des Flächenverbinders kann durch Überschreiben des Attributs Extrusion hinzugefügt werden; der Wert wird in Millimetern eingegeben.

Die Platzierung des Flächenverbinders kann durch Überschreiben des Attributs Placement oder durch individuelles Überschreiben der Attribute Placement.Base und Placement.Rotation geändert werden.

Beispiel:

import FreeCAD as App
import FreeCADGui as Gui
import Draft

doc = App.newDocument()

# Insert a solid box
box = doc.addObject("Part::Box", "Box")
box.Length = 2300
box.Width = 800
box.Height = 1000

# selection = Gui.Selection.getSelectionEx()
selection = [(box, ("Face1", "Face6"))]
facebinder = Draft.make_facebinder(selection)
facebinder.Extrusion = 50

doc.recompute()

facebinder.Placement.Base = App.Vector(1000, -1000, 100)
facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)

doc.recompute()